Package org.drinkless.tdlib

# Class TdApi.SupergroupFullInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SupergroupFullInfo

Enclosing class:
  `TdApi`

public static class TdApi.SupergroupFullInfo extends TdApi.Object
Contains full information about a supergroup or channel.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `administratorCount`
  Number of privileged users in the supergroup or channel; 0 if unknown.
  `int`
  `bannedCount`
  Number of users banned from chat; 0 if unknown.
  `TdApi.BotCommands[]`
  `botCommands`
  List of commands of bots in the group.
  `TdApi.BotVerification`
  `botVerification`
  Information about verification status of the supergroup or the channel provided by a bot; may be null if none or unknown.
  `boolean`
  `canEnablePaidMessages`
  True, if paid messages can be enabled in the supergroup chat; for supergroup only.
  `boolean`
  `canEnablePaidReaction`
  True, if paid reaction can be enabled in the channel chat; for channels only.
  `boolean`
  `canGetMembers`
  True, if members of the chat can be retrieved via getSupergroupMembers or searchChatMembers.
  `boolean`
  `canGetRevenueStatistics`
  True, if the supergroup or channel revenue statistics are available.
  `boolean`
  `canGetStarRevenueStatistics`
  True, if the supergroup or channel Telegram Star revenue statistics are available.
  `boolean`
  `canGetStatistics`
  True, if the supergroup or channel statistics are available.
  `boolean`
  `canHaveSponsoredMessages`
  True, if the chat can have sponsored messages.
  `boolean`
  `canHideMembers`
  True, if non-administrators and non-bots can be hidden in responses to getSupergroupMembers and searchChatMembers for non-administrators.
  `boolean`
  `canSendGift`
  True, if the user can send a gift to the supergroup or channel using sendGift or transferGift.
  `boolean`
  `canSetLocation`
  True, if the supergroup location can be changed.
  `boolean`
  `canSetStickerSet`
  True, if the supergroup sticker set can be changed.
  `boolean`
  `canToggleAggressiveAntiSpam`
  True, if aggressive anti-spam checks can be enabled or disabled in the supergroup.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `customEmojiStickerSetId`
  Identifier of the custom emoji sticker set that can be used in the supergroup without Telegram Premium subscription; 0 if none.
  `String`
  `description`
  Supergroup or channel description.
  `long`
  `directMessagesChatId`
  Chat identifier of a direct messages group for the channel, or a channel, for which the supergroup is the designated direct messages group; 0 if none.
  `int`
  `giftCount`
  Number of saved to profile gifts for channels without canPostMessages administrator right, otherwise, the total number of received gifts.
  `boolean`
  `hasAggressiveAntiSpamEnabled`
  True, if aggressive anti-spam checks are enabled in the supergroup.
  `boolean`
  `hasHiddenMembers`
  True, if non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers.
  `boolean`
  `hasPaidMediaAllowed`
  True, if paid media can be sent and forwarded to the channel chat; for channels only.
  `boolean`
  `hasPinnedStories`
  True, if the supergroup or channel has pinned stories.
  `TdApi.ChatInviteLink`
  `inviteLink`
  Primary invite link for the chat; may be null.
  `boolean`
  `isAllHistoryAvailable`
  True, if new chat members will have access to old messages.
  `long`
  `linkedChatId`
  Chat identifier of a discussion group for the channel, or a channel, for which the supergroup is the designated discussion group; 0 if none or unknown.
  `TdApi.ChatLocation`
  `location`
  Location to which the supergroup is connected; may be null if none.
  `TdApi.ProfileTab`
  `mainProfileTab`
  The main tab chosen by the administrators of the channel; may be null if not chosen manually.
  `int`
  `memberCount`
  Number of members in the supergroup or channel; 0 if unknown.
  `int`
  `myBoostCount`
  Number of times the current user boosted the supergroup or channel.
  `long`
  `outgoingPaidMessageStarCount`
  Number of Telegram Stars that must be paid by the current user for each sent message to the supergroup.
  `TdApi.ChatPhoto`
  `photo`
  Chat photo; may be null if empty or unknown.
  `int`
  `restrictedCount`
  Number of restricted users in the supergroup; 0 if unknown.
  `int`
  `slowModeDelay`
  Delay between consecutive sent messages for non-administrator supergroup members, in seconds.
  `double`
  `slowModeDelayExpiresIn`
  Time left before next message can be sent in the supergroup, in seconds.
  `long`
  `stickerSetId`
  Identifier of the supergroup sticker set that must be shown before user sticker sets; 0 if none.
  `int`
  `unrestrictBoostCount`
  Number of times the supergroup must be boosted by a user to ignore slow mode and chat permission restrictions; 0 if unspecified.
  `long`
  `upgradedFromBasicGroupId`
  Identifier of the basic group from which supergroup was upgraded; 0 if none.
  `long`
  `upgradedFromMaxMessageId`
  Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupergroupFullInfo()`
  Contains full information about a supergroup or channel.
  `SupergroupFullInfo(TdApi.ChatPhoto photo, String description, int memberCount, int administratorCount, int restrictedCount, int bannedCount, long linkedChatId, long directMessagesChatId, int slowModeDelay, double slowModeDelayExpiresIn, boolean canEnablePaidMessages, boolean canEnablePaidReaction, boolean canGetMembers, boolean hasHiddenMembers, boolean canHideMembers, boolean canSetStickerSet, boolean canSetLocation, boolean canGetStatistics, boolean canGetRevenueStatistics, boolean canGetStarRevenueStatistics, boolean canSendGift, boolean canToggleAggressiveAntiSpam, boolean isAllHistoryAvailable, boolean canHaveSponsoredMessages, boolean hasAggressiveAntiSpamEnabled, boolean hasPaidMediaAllowed, boolean hasPinnedStories, int giftCount, int myBoostCount, int unrestrictBoostCount, long outgoingPaidMessageStarCount, long stickerSetId, long customEmojiStickerSetId, TdApi.ChatLocation location, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands, TdApi.BotVerification botVerification, TdApi.ProfileTab mainProfileTab, long upgradedFromBasicGroupId, long upgradedFromMaxMessageId)`
  Contains full information about a supergroup or channel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### photo

    @Nullable public TdApi.ChatPhoto photo
    Chat photo; may be null if empty or unknown. If non-null, then it is the same photo as in chat.photo.

  - ### description

    public String description
    Supergroup or channel description.

  - ### memberCount

    public int memberCount
    Number of members in the supergroup or channel; 0 if unknown.

  - ### administratorCount

    public int administratorCount
    Number of privileged users in the supergroup or channel; 0 if unknown.

  - ### restrictedCount

    public int restrictedCount
    Number of restricted users in the supergroup; 0 if unknown.

  - ### bannedCount

    public int bannedCount
    Number of users banned from chat; 0 if unknown.

  - ### linkedChatId

    public long linkedChatId
    Chat identifier of a discussion group for the channel, or a channel, for which the supergroup is the designated discussion group; 0 if none or unknown.

  - ### directMessagesChatId

    public long directMessagesChatId
    Chat identifier of a direct messages group for the channel, or a channel, for which the supergroup is the designated direct messages group; 0 if none.

  - ### slowModeDelay

    public int slowModeDelay
    Delay between consecutive sent messages for non-administrator supergroup members, in seconds.

  - ### slowModeDelayExpiresIn

    public double slowModeDelayExpiresIn
    Time left before next message can be sent in the supergroup, in seconds. An updateSupergroupFullInfo update is not triggered when value of this field changes, but both new and old values are non-zero.

  - ### canEnablePaidMessages

    public boolean canEnablePaidMessages
    True, if paid messages can be enabled in the supergroup chat; for supergroup only.

  - ### canEnablePaidReaction

    public boolean canEnablePaidReaction
    True, if paid reaction can be enabled in the channel chat; for channels only.

  - ### canGetMembers

    public boolean canGetMembers
    True, if members of the chat can be retrieved via getSupergroupMembers or searchChatMembers.

  - ### hasHiddenMembers

    public boolean hasHiddenMembers
    True, if non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers.

  - ### canHideMembers

    public boolean canHideMembers
    True, if non-administrators and non-bots can be hidden in responses to getSupergroupMembers and searchChatMembers for non-administrators.

  - ### canSetStickerSet

    public boolean canSetStickerSet
    True, if the supergroup sticker set can be changed.

  - ### canSetLocation

    public boolean canSetLocation
    True, if the supergroup location can be changed.

  - ### canGetStatistics

    public boolean canGetStatistics
    True, if the supergroup or channel statistics are available.

  - ### canGetRevenueStatistics

    public boolean canGetRevenueStatistics
    True, if the supergroup or channel revenue statistics are available.

  - ### canGetStarRevenueStatistics

    public boolean canGetStarRevenueStatistics
    True, if the supergroup or channel Telegram Star revenue statistics are available.

  - ### canSendGift

    public boolean canSendGift
    True, if the user can send a gift to the supergroup or channel using sendGift or transferGift.

  - ### canToggleAggressiveAntiSpam

    public boolean canToggleAggressiveAntiSpam
    True, if aggressive anti-spam checks can be enabled or disabled in the supergroup.

  - ### isAllHistoryAvailable

    public boolean isAllHistoryAvailable
    True, if new chat members will have access to old messages. In public, discussion, of forum groups and all channels, old messages are always available, so this option affects only private non-forum supergroups without a linked chat. The value of this field is only available to chat administrators.

  - ### canHaveSponsoredMessages

    public boolean canHaveSponsoredMessages
    True, if the chat can have sponsored messages. The value of this field is only available to the owner of the chat.

  - ### hasAggressiveAntiSpamEnabled

    public boolean hasAggressiveAntiSpamEnabled
    True, if aggressive anti-spam checks are enabled in the supergroup. The value of this field is only available to chat administrators.

  - ### hasPaidMediaAllowed

    public boolean hasPaidMediaAllowed
    True, if paid media can be sent and forwarded to the channel chat; for channels only.

  - ### hasPinnedStories

    public boolean hasPinnedStories
    True, if the supergroup or channel has pinned stories.

  - ### giftCount

    public int giftCount
    Number of saved to profile gifts for channels without canPostMessages administrator right, otherwise, the total number of received gifts.

  - ### myBoostCount

    public int myBoostCount
    Number of times the current user boosted the supergroup or channel.

  - ### unrestrictBoostCount

    public int unrestrictBoostCount
    Number of times the supergroup must be boosted by a user to ignore slow mode and chat permission restrictions; 0 if unspecified.

  - ### outgoingPaidMessageStarCount

    public long outgoingPaidMessageStarCount
    Number of Telegram Stars that must be paid by the current user for each sent message to the supergroup.

  - ### stickerSetId

    public long stickerSetId
    Identifier of the supergroup sticker set that must be shown before user sticker sets; 0 if none.

  - ### customEmojiStickerSetId

    public long customEmojiStickerSetId
    Identifier of the custom emoji sticker set that can be used in the supergroup without Telegram Premium subscription; 0 if none.

  - ### location

    @Nullable public TdApi.ChatLocation location
    Location to which the supergroup is connected; may be null if none.

  - ### inviteLink

    @Nullable public TdApi.ChatInviteLink inviteLink
    Primary invite link for the chat; may be null. For chat administrators with canInviteUsers right only.

  - ### botCommands

    public TdApi.BotCommands[] botCommands
    List of commands of bots in the group.

  - ### botVerification

    @Nullable public TdApi.BotVerification botVerification
    Information about verification status of the supergroup or the channel provided by a bot; may be null if none or unknown.

  - ### mainProfileTab

    @Nullable public TdApi.ProfileTab mainProfileTab
    The main tab chosen by the administrators of the channel; may be null if not chosen manually.

  - ### upgradedFromBasicGroupId

    public long upgradedFromBasicGroupId
    Identifier of the basic group from which supergroup was upgraded; 0 if none.

  - ### upgradedFromMaxMessageId

    public long upgradedFromMaxMessageId
    Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SupergroupFullInfo

    public SupergroupFullInfo()
    Contains full information about a supergroup or channel.

  - ### SupergroupFullInfo

    public SupergroupFullInfo(TdApi.ChatPhoto photo, String description, int memberCount, int administratorCount, int restrictedCount, int bannedCount, long linkedChatId, long directMessagesChatId, int slowModeDelay, double slowModeDelayExpiresIn, boolean canEnablePaidMessages, boolean canEnablePaidReaction, boolean canGetMembers, boolean hasHiddenMembers, boolean canHideMembers, boolean canSetStickerSet, boolean canSetLocation, boolean canGetStatistics, boolean canGetRevenueStatistics, boolean canGetStarRevenueStatistics, boolean canSendGift, boolean canToggleAggressiveAntiSpam, boolean isAllHistoryAvailable, boolean canHaveSponsoredMessages, boolean hasAggressiveAntiSpamEnabled, boolean hasPaidMediaAllowed, boolean hasPinnedStories, int giftCount, int myBoostCount, int unrestrictBoostCount, long outgoingPaidMessageStarCount, long stickerSetId, long customEmojiStickerSetId, TdApi.ChatLocation location, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands, TdApi.BotVerification botVerification, TdApi.ProfileTab mainProfileTab, long upgradedFromBasicGroupId, long upgradedFromMaxMessageId)
    Contains full information about a supergroup or channel.
    Parameters:
      `photo` - Chat photo; may be null if empty or unknown. If non-null, then it is the same photo as in chat.photo.
      `description` - Supergroup or channel description.
      `memberCount` - Number of members in the supergroup or channel; 0 if unknown.
      `administratorCount` - Number of privileged users in the supergroup or channel; 0 if unknown.
      `restrictedCount` - Number of restricted users in the supergroup; 0 if unknown.
      `bannedCount` - Number of users banned from chat; 0 if unknown.
      `linkedChatId` - Chat identifier of a discussion group for the channel, or a channel, for which the supergroup is the designated discussion group; 0 if none or unknown.
      `directMessagesChatId` - Chat identifier of a direct messages group for the channel, or a channel, for which the supergroup is the designated direct messages group; 0 if none.
      `slowModeDelay` - Delay between consecutive sent messages for non-administrator supergroup members, in seconds.
      `slowModeDelayExpiresIn` - Time left before next message can be sent in the supergroup, in seconds. An updateSupergroupFullInfo update is not triggered when value of this field changes, but both new and old values are non-zero.
      `canEnablePaidMessages` - True, if paid messages can be enabled in the supergroup chat; for supergroup only.
      `canEnablePaidReaction` - True, if paid reaction can be enabled in the channel chat; for channels only.
      `canGetMembers` - True, if members of the chat can be retrieved via getSupergroupMembers or searchChatMembers.
      `hasHiddenMembers` - True, if non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers.
      `canHideMembers` - True, if non-administrators and non-bots can be hidden in responses to getSupergroupMembers and searchChatMembers for non-administrators.
      `canSetStickerSet` - True, if the supergroup sticker set can be changed.
      `canSetLocation` - True, if the supergroup location can be changed.
      `canGetStatistics` - True, if the supergroup or channel statistics are available.
      `canGetRevenueStatistics` - True, if the supergroup or channel revenue statistics are available.
      `canGetStarRevenueStatistics` - True, if the supergroup or channel Telegram Star revenue statistics are available.
      `canSendGift` - True, if the user can send a gift to the supergroup or channel using sendGift or transferGift.
      `canToggleAggressiveAntiSpam` - True, if aggressive anti-spam checks can be enabled or disabled in the supergroup.
      `isAllHistoryAvailable` - True, if new chat members will have access to old messages. In public, discussion, of forum groups and all channels, old messages are always available, so this option affects only private non-forum supergroups without a linked chat. The value of this field is only available to chat administrators.
      `canHaveSponsoredMessages` - True, if the chat can have sponsored messages. The value of this field is only available to the owner of the chat.
      `hasAggressiveAntiSpamEnabled` - True, if aggressive anti-spam checks are enabled in the supergroup. The value of this field is only available to chat administrators.
      `hasPaidMediaAllowed` - True, if paid media can be sent and forwarded to the channel chat; for channels only.
      `hasPinnedStories` - True, if the supergroup or channel has pinned stories.
      `giftCount` - Number of saved to profile gifts for channels without canPostMessages administrator right, otherwise, the total number of received gifts.
      `myBoostCount` - Number of times the current user boosted the supergroup or channel.
      `unrestrictBoostCount` - Number of times the supergroup must be boosted by a user to ignore slow mode and chat permission restrictions; 0 if unspecified.
      `outgoingPaidMessageStarCount` - Number of Telegram Stars that must be paid by the current user for each sent message to the supergroup.
      `stickerSetId` - Identifier of the supergroup sticker set that must be shown before user sticker sets; 0 if none.
      `customEmojiStickerSetId` - Identifier of the custom emoji sticker set that can be used in the supergroup without Telegram Premium subscription; 0 if none.
      `location` - Location to which the supergroup is connected; may be null if none.
      `inviteLink` - Primary invite link for the chat; may be null. For chat administrators with canInviteUsers right only.
      `botCommands` - List of commands of bots in the group.
      `botVerification` - Information about verification status of the supergroup or the channel provided by a bot; may be null if none or unknown.
      `mainProfileTab` - The main tab chosen by the administrators of the channel; may be null if not chosen manually.
      `upgradedFromBasicGroupId` - Identifier of the basic group from which supergroup was upgraded; 0 if none.
      `upgradedFromMaxMessageId` - Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR